<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:fillViewport="true"
    tools:context=".ui.activity.ResultListActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <RelativeLayout
            android:id="@+id/relayout_top"
            android:layout_width="match_parent"
            android:layout_height="280dp"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/covert"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop"
                android:src="@mipmap/im_placeholder" />

            <ImageView
                android:id="@+id/im_back"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="35dp"
                android:padding="9dp"
                android:src="@drawable/arrow_bottom" />

            <View
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentBottom="true"
                android:background="@drawable/black_gradient" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="200dp"
            android:orientation="vertical"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/main_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="17sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_recycler"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="15dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@id/main_title" />
        </LinearLayout>


        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:id="@+id/pb_loading"
            android:indeterminateTint="@color/white" />


        <include
            android:id="@+id/layout_error"
            layout="@layout/layout_error"
            android:layout_centerInParent="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
    </RelativeLayout>
</androidx.core.widget.NestedScrollView>